Subject: UI does not set ssh keys for user 'user' in Ubuntu images

Description

To reproduce:

a) create an Ubuntu VM, select an SSH key from your existing set for injection

b) Connect to it: the UI correctly proposes user@IP as the connection string for SSH

Observe how the authorized_keys file does not contain your keys.

SSHing to root@IP works just fine, instead.

Shouldn't the UI inject the keys to the users specified by the users metadata?

History

#1 - 11/15/2012 06:40 pm - Kostas Papadimitriou

- Status changed from Assigned to Feedback

fixed on commit:bdfb089 . UI now supports multiple image users and primarily checks image `users` metadata value to identify existing users.

#2 - 11/16/2012 07:15 pm - Vangelis Koukis

- Status changed from Feedback to Assigned

Jarno has this feedback :)

> ssh: works for some Linuxes, but not in Kubuntu, because there the

> default user is "user" (e.g. in CentOS it is Mr. root himself). Thus,

> in Kubuntu first is needed to login to the console and to change the

> ownership of the authorized_keys file from "root" to "user".

>

#3 - 11/22/2012 05:46 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Also fixed in latest v0.12 in production.

Closing.
